#!/usr/local/bin/perl

use strict;
use warnings;
use Bio::DB::Taxonomy;

my $db = new Bio::DB::Taxonomy(-source => 'entrez');

#my $spName = "Homo sapiens";
open(INFILE,"Names.txt");
my @inFile = <INFILE>;
close INFILE;

print "SpName taxonID\n";
foreach my $spName (@inFile) {
  chomp($spName);
  my $taxonid = $db->get_taxonid($spName);
  print "$spName $taxonid\n";
}
